<%- include('head', {title: 'Se connecter' , user, message}); %>

    <script>
        function checkInputs() {
            const login = document.querySelector('[name="login"]').value
            const password = document.querySelector('[name="password"]').value

            let error = ''

            if (login.length < 4)
                error = `Le login doit faire au moins 4 caractères !`

            else if (password.length < 8)
                error = `Le mot de passe doit faire au moins 8 caractères !`

            else if (password.length > 32)
                error = `Le mot de passe doit faire au maximum 32 caractères !`

            document.querySelector('#error').innerText = error

            if (error.length) return false
            else return true
        }

        const validateEmail = (email) => {
            return String(email)
                .toLowerCase()
                .match(
                    /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
                )
        }
    </script>

    <h1 class="text-3xl text-center mt-3 font-bold">Se connecter</h1>

    <form method="POST" action="/api/user/login" onsubmit="return checkInputs()" class="flex flex-col gap-3 pt-5
    max-w-xl mx-auto w-full mt-10 flex rounded-xl shadow-md p-4 flex flex-col bg-white">

        <div class="flex flex-col">
            <label class="font-medium mb-2 text-gray-900 text-sm">Nom d'utilisateur ou adresse email</label>
            <input type="text" required name="login"
                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
        </div>

        <div class="flex flex-col">
            <label class="font-medium mb-2 text-gray-900 text-sm">Mot de passe</label>
            <input type="password" required name="password"
                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
        </div>

        <span id="error" class="mx-auto text-red-600"><%- error %></span>

        <button type="submit"
            class="rounded-lg px-4 py-2 bg-blue-600 text-white mt-4 flex w-fit justify-center hover:bg-blue-800 mx-auto">Se
            connecter</button>

        <a href="/register" class="mx-auto text-blue-600 hover:text-blue-800">Pas encore de compte ? S'inscrire.</a>
    </form>

    <%- include('footer'); %>